Skip to main content
PUT
Update storage category

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The storage category ID

Example:

1

Body

application/json
name
string

Storage category name. Must not be greater than 255 characters.

Example:

"Heavy Goods"

max_weight
number | null

Maximum allowed weight. Must be at least 0. Must not be greater than 99999999.

Example:

500

allow_new_products
enum<string>

Policy for new products.

Available options:
empty,
same,
mixed
Example:

"mixed"

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

Response

Success